import * as d3 from 'd3';

const data = [
  [10, 20, 30],
  [40, 60, 80],
  [100, 200, 300],
];

export const main = (container) => {
  const width = container.clientWidth;
  const height = container.clientHeight;
  const radius = 200;

  const svg = d3
    .select(container)
    .selectAll('svg')
    .data([null])
    .join('svg')
    .attr('width', width)
    .attr('height', height)
    .append('g')
    .style(
      'transform',
      `translate(${radius + 10}px, ${radius + 10}px)`,
    );

  const chordGenerator = d3
    .chord()
    .sortSubgroups(d3.ascending)
    .padAngle(0.4);

  const ribbonGenerator = d3.ribbon().radius(radius);

  const chords = chordGenerator(data);

  svg
    .selectAll('path')
    .data(chords)
    .join('path')
    .attr('d', ribbonGenerator)
    .attr('fill', '#333')
    .attr('opacity', 0.3);
};
